org.gradle.api.plugins.quality

## Class JDependExtension

- java.lang.Object
- - org.gradle.api.plugins.quality.CodeQualityExtension
  - - org.gradle.api.plugins.quality.JDependExtension

-     public class JDependExtension
      extends CodeQualityExtension

  Configuration options for the JDepend plugin.
  See Also:
    `JDependPlugin`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDependExtension()`

  - ### Method Summary

    - ### Methods inherited from class org.gradle.api.plugins.quality.CodeQualityExtension

      `getReportsDir, getSourceSets, getToolVersion, isIgnoreFailures, setIgnoreFailures, setReportsDir, setSourceSets, setToolVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDependExtension

          public JDependExtension()